Overview
PUT
/usage/principal-tiers/{scope}/{principalId}usageUpdate principal_tiers
Replace a record in principal-tiers by scope, principalId.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- scopepathstring
- principalIdpathstring
Request body
application/json · optional
- scopeoptionalstring
- principalIdoptionalstring
- tierIdoptionalstring
Example
{
"scope": "string",
"principalId": "string",
"tierId": "string"
}Responses
200
principal_tiers
- scopestring
- principalIdstring
- tierIdstring
Example
{
"scope": "string",
"principalId": "string",
"tierId": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/usage/principal-tiers/{scope}/{principalId}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"scope": "string",
"principalId": "string",
"tierId": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/usage/principal-tiers/{scope}/{principalId}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"scope\": \"string\",\n \"principalId\": \"string\",\n \"tierId\": \"string\"\n}",
});
const data = await res.json();